Subject: Resetting

From: "Jason Che-han Yip" <[email-masked]>
Date: Thu, 20 Jul 2000 18:48:01 -0600

I'm running JPL with SWI-Prolog and while running some tests, I noticed that the database is not being reset, which makes it difficult to test.  Is there some way to cause SWI-Prolog to reset?  I'm somewhat of a Prolog newbie so I also don't know if there is a particular Prolog predicate that can be used to retract everything.

----
"Making the complex clear always helps people work smarter. Because it is a lot easier to figure out what's important and ignore what isn't."
(Bill Jensen)
www.ee.ualberta.ca/~yip